Bug 11719 - CTDB 11.natgw and 49.winbind scripts contain unnecessary smbcontrol commands
CTDB 11.natgw and 49.winbind scripts contain unnecessary smbcontrol commands
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
4.4.0rc
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 11714
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-08 03:24 UTC by Martin Schwenke
Modified: 2016-02-17 08:29 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.2, 4.3 and 4.4 cherry-picked from master (2.00 KB, patch)
2016-02-16 01:03 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2016-02-08 03:24:38 UTC
11.natgw and 49.winbind scripts contain unnecessary smbcontrol commands.  This commands can cause the containing scripts to hang, causing CTDB to hang if a new recovery occurs while a previous IP takeover run is still active.

winbindd has support to track dropped IP addresses automatically, so the smbcontrol commands can be dropped.  This currently works for with Samba 4.0 and 4.1.

However, Samba >= 4.2.2 has this bug:

  https://bugzilla.samba.org/show_bug.cgi?id=11714

So, when this bug is fixed we need to drop the smbcontrol commands for 4.4, 4.3 and 4.2.
Comment 1 Martin Schwenke 2016-02-16 01:03:37 UTC
Created attachment 11841 [details]
Patch for 4.2, 4.3 and 4.4 cherry-picked from master
Comment 2 Amitay Isaacs 2016-02-16 02:13:36 UTC
Hi Karolin,

The same patch applies cleanly to v4-2, v4-3, v4-4 branches.
Comment 3 Karolin Seeger 2016-02-16 08:00:32 UTC
(In reply to Amitay Isaacs from comment #2)
Pushed to autobuild-v4-[4|3|2]-test.
Comment 4 Karolin Seeger 2016-02-17 08:29:18 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to all branches.
Closing out bug report.

Thanks!